import * as $dara from '@darabonba/typescript';
export declare class DescribeVpcsResponseBodyVpcsVpcUserCidrs extends $dara.Model {
    userCidr?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcsResponseBodyVpcsVpcVSwitchIds extends $dara.Model {
    vSwitchId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcsResponseBodyVpcsVpc extends $dara.Model {
    cidrBlock?: string;
    creationTime?: string;
    description?: string;
    isDefault?: boolean;
    regionId?: string;
    status?: string;
    userCidrs?: DescribeVpcsResponseBodyVpcsVpcUserCidrs;
    VRouterId?: string;
    vSwitchIds?: DescribeVpcsResponseBodyVpcsVpcVSwitchIds;
    vpcId?: string;
    vpcName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcsResponseBodyVpcs extends $dara.Model {
    vpc?: DescribeVpcsResponseBodyVpcsVpc[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpcsResponseBody extends $dara.Model {
    pageNumber?: number;
    pageSize?: number;
    requestId?: string;
    totalCount?: number;
    vpcs?: DescribeVpcsResponseBodyVpcs;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
